Browse Source

Scuttlebot version

Bob Mottram 7 years ago
parent
commit
b13d431627
1 changed files with 10 additions and 4 deletions
  1. 10
    4
      src/freedombone-app-scuttlebot

+ 10
- 4
src/freedombone-app-scuttlebot View File

35
 
35
 
36
 SCUTTLEBOT_DOMAIN_NAME=
36
 SCUTTLEBOT_DOMAIN_NAME=
37
 SCUTTLEBOT_CODE=
37
 SCUTTLEBOT_CODE=
38
-SCUTTLEBOT_VERSION='10.4.6'
38
+SCUTTLEBOT_VERSION='11.2.0'
39
 SCUTTLEBOT_PORT=8010
39
 SCUTTLEBOT_PORT=8010
40
 SCUTTLEBOT_ONION_PORT=8623
40
 SCUTTLEBOT_ONION_PORT=8623
41
 GIT_SSB_PORT=7718
41
 GIT_SSB_PORT=7718
382
 
382
 
383
     cat <<EOF > "$rootdir/usr/bin/install_scuttlebot"
383
     cat <<EOF > "$rootdir/usr/bin/install_scuttlebot"
384
 #!/bin/bash
384
 #!/bin/bash
385
-npm install --arch=$NPM_ARCH -g scuttlebot@${SCUTTLEBOT_VERSION}
386
-npm install --arch=$NPM_ARCH -g git-ssb
387
-npm install --arch=$NPM_ARCH -g git-remote-ssb
385
+if ! npm install --arch=$NPM_ARCH -g scuttlebot@${SCUTTLEBOT_VERSION}; then
386
+    exit 1
387
+fi
388
+if ! npm install --arch=$NPM_ARCH -g git-ssb; then
389
+    exit 2
390
+fi
391
+if ! npm install --arch=$NPM_ARCH -g git-remote-ssb; then
392
+    exit 3
393
+fi
388
 EOF
394
 EOF
389
     chroot "$rootdir" /bin/chmod +x /usr/bin/install_scuttlebot
395
     chroot "$rootdir" /bin/chmod +x /usr/bin/install_scuttlebot
390
     chroot "$rootdir" /usr/bin/install_scuttlebot
396
     chroot "$rootdir" /usr/bin/install_scuttlebot